#!/bin/sh

# runbb.sh
# BIG BROTHER MAIN SCRIPT
# Sean MacGuire - The MacLawran Group Inc.
# Version 1.09
# Feb 2nd, 1999
#
# This program is Copyright (c) 1997-1999
# The MacLawran Group Inc.
# All Rights Reserved
#
# THE MOTHER OF ALL SHELL SCRIPTS...
#

#
# BBHOME IS THE ROOT DIRECTORY OF BIG BROTHER!!!
# YOU MUST SET THE NEXT LINE TO WHERE BB LIVES

BBHOME="" 
export BBHOME

if test "$BBHOME" = ""
then
	echo "BBHOME IS NOT SET IN runbb.sh"
	echo "Please edit runbb.sh to correct this problem!"
	exit 1
fi

. $BBHOME/etc/bbdef.sh		# GET STANDARD INCLUDES

BBSLEEP=300			# HOW OFTEN TO UPDATE (IN SECONDS)

# echo "BBDISPLAY=$BBDISPLAY BBPAGER=$BBPAGER BBNET=$BBNET"

#
# IF WE NEED THE BIG BROTHER DAEMON ON THIS MACHINE THEN START IT
#
if test "$BBSERVER" = "TRUE"
then
	echo "Starting Big Brother Daemon (bbd)..."
	$BBHOME/bin/bbd
	sleep 3			# PAUSE...
fi

echo "Starting Big Brother Collectors..."

$RM -f ${BBTMP}/BB.$$
$RM -f ${PAGINGLOCK}		# Spotted by Martin Richard

#
# NOW RUN THE CLIENT LOOP...
#
while true
do

	# echo "*** CALLING BB-LOCAL ***"
	$BBHOME/bin/bb-local.sh			# COLLECT LOCAL INFO

	if test "$BBNET" = "TRUE"
	then
		# echo "*** CALLING BB-NETWORK ***"
		$BBHOME/bin/bb-network.sh	# COLLECT NET INFO
	fi

	if test "$BBDISPLAY" = "TRUE"
	then
		# echo "*** MAKING WEB PAGES  ***"
		$BBHOME/web/mkbb.sh > ${BBTMP}/BB.$$        # MAKE BB PAGE
		mv ${BBTMP}/BB.$$ $BBHOME/www/bb.html       # MOVE IT IN
		$BBHOME/web/mkbb2.sh > ${BBTMP}/BB.$$       # MAKE QUICK VIEW
		mv ${BBTMP}/BB.$$ $BBHOME/www/bb2.html      # MOVE IT IN
	fi

	sleep $BBSLEEP				# PAUSE

done
